summaryrefslogtreecommitdiffstats
path: root/version-manifest/src/main/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'version-manifest/src/main/scripts')
-rwxr-xr-xversion-manifest/src/main/scripts/add-images-from-oom.sh39
-rwxr-xr-xversion-manifest/src/main/scripts/check-docker-manifest.sh37
-rwxr-xr-xversion-manifest/src/main/scripts/check-sorted.sh9
-rwxr-xr-xversion-manifest/src/main/scripts/update-heat-image-versions.sh20
-rwxr-xr-xversion-manifest/src/main/scripts/update-oom-image-versions.sh24
5 files changed, 128 insertions, 1 deletions
diff --git a/version-manifest/src/main/scripts/add-images-from-oom.sh b/version-manifest/src/main/scripts/add-images-from-oom.sh
new file mode 100755
index 000000000..f7207701f
--- /dev/null
+++ b/version-manifest/src/main/scripts/add-images-from-oom.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+if [ "$#" -ne 2 ]; then
+ echo This script adds new docker images from OOM helm charts into docker-manifest.csv
+ echo "$0 <docker-manifest.csv> <oom repo directory>"
+ exit 1
+fi
+
+# expected parameters
+MANIFEST=$(realpath $1)
+OOM_DIR=$(realpath $2)
+
+if [ -z "$WORKSPACE" ]; then
+ export WORKSPACE=`git rev-parse --show-toplevel`
+fi
+
+DIR=$(dirname $(readlink -f "$0"))
+TARGET_DIR=$DIR/target
+rm -rf $TARGET_DIR
+mkdir -p $TARGET_DIR
+cd $TARGET_DIR
+
+cd $OOM_DIR
+rgrep "image: .*" --include=values.yaml -h | cut -d ' ' -f 2 | tr -d '"'| grep -v '<' | grep -e "^onap" -e "^openecomp" | LC_ALL=C sort -u > $TARGET_DIR/oom-manifest.txt
+touch $TARGET_DIR/docker-manifest-new-entries.txt
+
+for line in $(cat $TARGET_DIR/oom-manifest.txt); do
+ image=$(echo $line | cut -d : -f 1)
+ tag=$(echo $line | cut -s -d : -f 2)
+ if [ -z "$tag" ]; then
+ tag="latest"
+ fi
+ if ! grep -q "$image" $MANIFEST; then
+ echo $image,$tag >> $TARGET_DIR/docker-manifest-new-entries.txt
+ fi
+done
+
+cat $MANIFEST $TARGET_DIR/docker-manifest-new-entries.txt | LC_ALL=C sort -u > $MANIFEST.tmp
+mv $MANIFEST.tmp $MANIFEST
diff --git a/version-manifest/src/main/scripts/check-docker-manifest.sh b/version-manifest/src/main/scripts/check-docker-manifest.sh
new file mode 100755
index 000000000..26e63b82d
--- /dev/null
+++ b/version-manifest/src/main/scripts/check-docker-manifest.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+if [ "$#" -ne 1 ]; then
+ echo This script checks docker-manifest.csv to verify that the specified versions exist in nexus3
+ echo "$0 <docker-manifest.csv>"
+ exit 1
+fi
+
+if [ -z "$WORKSPACE" ]; then
+ export WORKSPACE=`git rev-parse --show-toplevel`
+fi
+
+NEXUS_PUBLIC_PREFIX="https://nexus3.onap.org/repository/docker.public/v2"
+NEXUS_RELEASE_PREFIX="https://nexus3.onap.org/repository/docker.release/v2"
+
+err=0
+for line in $(tail -n +2 $1); do
+ image=$(echo $line | cut -d , -f 1)
+ tag=$(echo $line | cut -d , -f 2)
+
+ tags=$(curl -s $NEXUS_PUBLIC_PREFIX/$image/tags/list | jq -r '.tags[]' 2> /dev/null)
+ echo "$tags" | grep -q "^$tag\$"
+ if [ $? -ne 0 ]; then
+ echo "[ERROR] $image:$tag not found"
+ #echo "$tags" | sed 's/^/ /'
+ (( err++ ))
+
+ else
+ tags=$(curl -s $NEXUS_RELEASE_PREFIX/$image/tags/list | jq -r '.tags[]' 2> /dev/null)
+ echo "$tags" | grep -q "^$tag\$"
+ if [ $? -ne 0 ]; then
+ echo "[WARN] $image:$tag not released"
+ #echo "$tags" | sed 's/^/ /'
+ fi
+ fi
+done
+exit $err
diff --git a/version-manifest/src/main/scripts/check-sorted.sh b/version-manifest/src/main/scripts/check-sorted.sh
index d926409f4..70ca5ac04 100755
--- a/version-manifest/src/main/scripts/check-sorted.sh
+++ b/version-manifest/src/main/scripts/check-sorted.sh
@@ -1,9 +1,16 @@
#!/bin/bash
+
+if [ "$#" -ne 1 ]; then
+ echo This script checks the input file to verify that it is sorted
+ echo "$0 <manifest.csv>"
+ exit 1
+fi
+
LC_ALL=C sort -c $1
retval=$?
if [ $retval -ne 0 ]; then
echo
- echo "ERROR: $1 is not properly sorted. Please sort it with the following commands:"
+ echo "[ERROR] $1 is not properly sorted. Please sort it with the following commands:"
echo
echo " LC_ALL=C sort < $1 > $1.tmp"
echo " mv $1.tmp $1"
diff --git a/version-manifest/src/main/scripts/update-heat-image-versions.sh b/version-manifest/src/main/scripts/update-heat-image-versions.sh
new file mode 100755
index 000000000..19415bb12
--- /dev/null
+++ b/version-manifest/src/main/scripts/update-heat-image-versions.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+if [ "$#" -ne 2 ]; then
+ echo This script updates HEAT docker versions to use versions in docker-manifest.csv
+ echo "$0 <docker-manifest.csv> <demo repo directory>"
+ exit 1
+fi
+
+# expected parameters
+MANIFEST=$(realpath $1)
+DEMO_DIR=$(realpath $2)
+
+if [ -z "$WORKSPACE" ]; then
+ export WORKSPACE=`git rev-parse --show-toplevel`
+fi
+
+cd $DEMO_DIR/heat/ONAP
+
+source <(./manifest-to-env.sh < $MANIFEST)
+envsubst < onap_openstack_template.env > onap_openstack.env
diff --git a/version-manifest/src/main/scripts/update-oom-image-versions.sh b/version-manifest/src/main/scripts/update-oom-image-versions.sh
new file mode 100755
index 000000000..1a82b490d
--- /dev/null
+++ b/version-manifest/src/main/scripts/update-oom-image-versions.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [ "$#" -ne 2 ]; then
+ echo This script updates OOM helm charts to use versions in docker-manifest.csv
+ echo "$0 <docker-manifest.csv> <oom repo directory>"
+ exit 1
+fi
+
+# expected parameters
+MANIFEST=$(realpath $1)
+OOM_DIR=$(realpath $2)
+
+if [ -z "$WORKSPACE" ]; then
+ export WORKSPACE=`git rev-parse --show-toplevel`
+fi
+
+cd $OOM_DIR/kubernetes
+
+for line in $(tail -n +2 $MANIFEST); do
+ image=$(echo $line | cut -d , -f 1)
+ tag=$(echo $line | cut -s -d , -f 2)
+ perl -p -i -e "s|image: $image(:.*$\|$)|image: $image:$tag|g" $(find ./ -name values.yaml)
+done
+